hi, here is the sample from developer help,but it failed. the path is all ok,but fail to add one. why, thank you --------------------------------------- Sub Ch10_AttachingARaster() Dim insertionPoint(0 To 2) As Double Dim scalefactor As Double Dim rotationAngle As Double Dim imageName As String Dim rasterObj As AcadRasterImage imageName = "C:/Acad2000/sample/watch.jpg" insertionPoint(0) = 5 insertionPoint(1) = 5 insertionPoint(2) = 0 scalefactor = 2 rotationAngle = 0 On Error GoTo ERRORHANDLER ' Attach the raster image in model space Set rasterObj = ThisDrawing.ModelSpace.AddRaster _ (imageName, insertionPoint, _ scalefactor, rotationAngle) ZoomAll Exit Sub ERRORHANDLER: MsgBox Err.Description End Sub